Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventComm::Disconnected Exception Reference

Exception raised when a client tries to communicate with the Event Service after it has disconnected. More...

`import "CosEventComm.idl";`

## Detailed Description

Exception raised when a client tries to communicate with the Event Service after it has disconnected.

Exceptions:

  Disconnected |

The exception is raised if:

- If supplier tries to push an event before fully connecting to the EC.
- A consumer tries to pull an event before fully connecting to the EC.

The documentation for this exception was generated from the following file:

- CosEventComm.idl